/**
 * Copyright 2011 Thorsten Höger, Taimos GmbH
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package de.taimos.jsonrpc.test.util;

import java.util.ArrayList;
import java.util.List;

import de.taimos.jsonrpc.annotations.RPCClass;
import de.taimos.jsonrpc.annotations.RPCMethod;
import de.taimos.jsonrpc.annotations.RPCParam;

/**
 * Copyright 2010 Taimos GmbH
 * 
 * @author Thorsten Hoeger
 */
@RPCClass(name = "test")
public interface MyTestInterface {
	
	/**
	 * @param bar
	 */
	@RPCMethod(name = "foo")
	void foo(@RPCParam(name = "bar") String bar);
	
	/**
	 * 
	 */
	void iWillFail();
	
	/**
	 * @param blubb
	 * @return string
	 */
	String bla(@RPCParam(name = "blubb") long blubb);
	
	/**
	 * @param s
	 * @return a simple object
	 */
	SimpleObject simple(@RPCParam(name = "so") SimpleObject s);
	
	/**
	 * @param strings
	 * @return concat strings
	 */
	String collect(@RPCParam(name = "strings", contentType = SimpleObject.class) ArrayList<SimpleObject> strings);
	
	/**
	 * @param strings
	 * @return concat strings
	 */
	String[] resArray(@RPCParam(name = "strings", contentType = SimpleObject.class) ArrayList<SimpleObject> strings);
	
	/**
	 * @param strings
	 * @return concat strings
	 */
	@RPCMethod(name = "resList", contentType = SimpleObject.class)
	List<SimpleObject> resList(@RPCParam(name = "strings", contentType = SimpleObject.class) ArrayList<SimpleObject> strings);
}
