/**
 * Copyright 2011 Thorsten Höger, Taimos GmbH
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package de.taimos.jsonrpc.test.util;

import java.util.ArrayList;
import java.util.List;

/**
 * Copyright 2010 Taimos GmbH
 * 
 * @author Thorsten Hoeger
 */
public class MyTestInterfaceImpl implements MyTestInterface {
	
	@Override
	public void iWillFail() {
		throw new RuntimeException("I said I would fail!");
	}
	
	@Override
	public void foo(String bar) {
		System.out.println("Got call from: " + bar);
	}
	
	@Override
	public String bla(long blubb) {
		return ">>" + blubb + "<<";
	}
	
	@Override
	public SimpleObject simple(SimpleObject s) {
		return new SimpleObject(s.getKey(), s.getValue());
	}
	
	@Override
	public String collect(ArrayList<SimpleObject> strings) {
		StringBuilder sb = new StringBuilder();
		for (SimpleObject s : strings) {
			sb.append(s.getKey());
		}
		return sb.toString();
	}
	
	@Override
	public String[] resArray(ArrayList<SimpleObject> strings) {
		String[] arr = new String[strings.size()];
		for (int i = 0; i < arr.length; i++) {
			arr[i] = strings.get(i).getValue();
		}
		return arr;
	}
	
	@Override
	public List<SimpleObject> resList(ArrayList<SimpleObject> strings) {
		List<SimpleObject> list = new ArrayList<SimpleObject>();
		for (SimpleObject simpleObject : strings) {
			list.add(simpleObject);
		}
		return list;
	}
	
}
