/**
 * Copyright 2011 Thorsten Höger, Taimos GmbH
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package de.taimos.jsonrpc.test.util;

/**
 * Copyright 2010 Taimos GmbH
 * 
 * @author Thorsten Hoeger
 */
public class SimpleObject {
	
	private String key;
	
	private String value;
	
	
	/**
	 * 
	 */
	public SimpleObject() {
		//
	}
	
	/**
	 * @param key
	 * @param value
	 */
	public SimpleObject(String key, String value) {
		this.key = key;
		this.value = value;
	}
	
	/**
	 * @return the key
	 */
	public String getKey() {
		return this.key;
	}
	
	/**
	 * @param key the key to set
	 */
	public void setKey(String key) {
		this.key = key;
	}
	
	/**
	 * @return the value
	 */
	public String getValue() {
		return this.value;
	}
	
	/**
	 * @param value the value to set
	 */
	public void setValue(String value) {
		this.value = value;
	}
	
	@Override
	public String toString() {
		return "SimpleObject [key=" + this.key + ", value=" + this.value + "]";
	}
	
	@Override
	public boolean equals(Object obj) {
		if (obj instanceof SimpleObject) {
			SimpleObject so = (SimpleObject) obj;
			return this.key.equals(so.key) && this.value.equals(so.value);
		}
		return super.equals(obj);
	}
	
	@Override
	public int hashCode() {
		return (this.key + this.value).hashCode();
	}
	
}
